
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/m68k/atari/time.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN arch/m68k/atari/time.c~m68k-fix-up-schedule_timeout-usage arch/m68k/atari/time.c
--- 25/arch/m68k/atari/time.c~m68k-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:32 2005
+++ 25-akpm/arch/m68k/atari/time.c	Wed Aug 17 17:00:32 2005
@@ -212,10 +212,8 @@ int atari_tt_hwclk( int op, struct rtc_t
      * additionally the RTC_SET bit is set to prevent an update cycle.
      */
 
-    while( RTC_READ(RTC_FREQ_SELECT) & RTC_UIP ) {
-        current->state = TASK_INTERRUPTIBLE;
-        schedule_timeout(HWCLK_POLL_INTERVAL);
-    }
+    while( RTC_READ(RTC_FREQ_SELECT) & RTC_UIP )
+        schedule_timeout_interruptible(HWCLK_POLL_INTERVAL);
 
     local_irq_save(flags);
     RTC_WRITE( RTC_CONTROL, ctrl | RTC_SET );
_
